コンテンツにスキップ
IRBANK API はベータ提供中です。仕様は予告なく変更される場合があります。
IRBANK API ドキュメント
Esc
navigateopen⌘Jpreview

人物プロファイル

人物の氏名・生年月日と現任の役員就任先一覧を返す。全て退任済みの人物は current_appointments が空配列になる (氏名・生年月日は返る)。過去の就任先は GET /persons/{id}/appointments で取得する。

GET/persons/{id}
Authorization
AuthorizationBearer token · headerrequired
IRBANK Connect (app.irbank.net/mcp-api) で発行した API キー
Path parameters
idstringrequired
人物 ID(数値文字列)
matches ^\d+$
Responses
200OK
person_idstringrequired
人物 ID
namestringrequired
氏名
birth_datestring | nullrequired
生年月日 (YYYY-MM-DD)。不明の場合 null
current_appointmentsPersonCurrentAppointment[]required
現任の役員就任先一覧。全て退任済みの人物は空配列 (氏名・生年月日は返るためレスポンス自体は空ではない。過去の就任先は GET /persons/{id}/appointments で取得する)
Show properties
Array of PersonCurrentAppointment
security_codestringrequired
証券コード (4 桁)
security_namestringrequired
企業名
rolestring | nullrequired
役割(取締役 等)
positionstring | nullrequired
役職名(代表取締役社長 等)
is_outsidebooleanrequired
社外役員かどうか
first_valid_fromstring | nullrequired
初回就任日 (YYYY-MM-DD)
tenure_yearsintegerrequired
在任年数
min 0
attributionAttributionrequired
Show properties
source_labelstringrequired
出典表示ラベル(第三者に表示する際はこの表記を使う)
license_notestringrequired
出典・再配信条件の注記
processed_bystringrequired
400パラメータが不正
errorobjectrequired
Show properties
codestringrequired
messagestringrequired
detailsExternalErrorDetail[]
Show properties
Array of ExternalErrorDetail
paramstringrequired
reasonstringrequired
Allowed:missingconflictinvalid_typeinvalid_formatout_of_rangeunknown_valuetoo_many_itemsinvalid
expectedstring
受理される値の要約(範囲・型・列挙値)。示せない場合は省略する
404人物が存在しない
errorobjectrequired
Show properties
codestringrequired
messagestringrequired
detailsExternalErrorDetail[]
Show properties
Array of ExternalErrorDetail
paramstringrequired
reasonstringrequired
Allowed:missingconflictinvalid_typeinvalid_formatout_of_rangeunknown_valuetoo_many_itemsinvalid
expectedstring
受理される値の要約(範囲・型・列挙値)。示せない場合は省略する
Request
curl -X GET "https://api.irbank.net/v1/persons/4837261950" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "person_id": "string",
  "name": "string",
  "birth_date": "1960-03-15",
  "current_appointments": [
    {
      "security_code": "7203",
      "security_name": "トヨタ自動車",
      "role": "string",
      "position": "string",
      "is_outside": true,
      "first_valid_from": "2005-06-29",
      "tenure_years": 0
    }
  ],
  "attribution": {
    "source_label": "金融庁 EDINET / TDnet",
    "license_note": "string",
    "processed_by": "IRBANK"
  }
}